import * as react_jsx_runtime from 'react/jsx-runtime';
import * as react from 'react';
import { ReactNode } from 'react';
import { EVMSmartWalletChain } from '@crossmint/client-sdk-smart-wallet';
import { UIConfig } from '@crossmint/common-sdk-base';
import { SDKExternalUser } from '@crossmint/common-sdk-auth';

type CrossmintAuthWalletConfig = {
    defaultChain: EVMSmartWalletChain;
    createOnLogin: "all-users" | "off";
    type: "evm-smart-wallet";
    showWalletModals?: boolean;
};
type LoginMethod = "email" | "google" | "farcaster";
type CrossmintAuthProviderProps = {
    embeddedWallets?: CrossmintAuthWalletConfig;
    appearance?: UIConfig;
    children: ReactNode;
    loginMethods?: LoginMethod[];
};
type AuthStatus = "logged-in" | "logged-out" | "in-progress";
type AuthContextType = {
    login: () => void;
    logout: () => void;
    jwt?: string;
    refreshToken?: string;
    user?: SDKExternalUser;
    status: AuthStatus;
    getUser: () => void;
};
declare const AuthContext: react.Context<AuthContextType>;
declare function CrossmintAuthProvider({ embeddedWallets, children, appearance, loginMethods, }: CrossmintAuthProviderProps): react_jsx_runtime.JSX.Element;

export { AuthContext, CrossmintAuthProvider, type CrossmintAuthProviderProps, type CrossmintAuthWalletConfig, type LoginMethod };
