import * as react_jsx_runtime from 'react/jsx-runtime';
import * as react from 'react';
import { ReactNode } from 'react';
import { EVMSmartWallet, SmartWalletError, WalletParams, EVMSmartWalletChain } from '@crossmint/client-sdk-smart-wallet';
import { UIConfig } from '@crossmint/common-sdk-base';

type WalletStatus = "not-loaded" | "in-progress" | "loaded" | "loading-error";
type WalletContext = {
    status: WalletStatus;
    wallet?: EVMSmartWallet;
    error?: SmartWalletError;
    getOrCreateWallet: (config?: Pick<WalletConfig, "signer" | "type">) => Promise<{
        startedCreation: boolean;
        reason?: string;
    }>;
    clearWallet: () => void;
};
declare const WalletContext: react.Context<WalletContext>;
type WalletConfig = WalletParams & {
    type: "evm-smart-wallet";
};
declare function CrossmintWalletProvider({ children, defaultChain, showWalletModals, // enabled by default
appearance, }: {
    children: ReactNode;
    defaultChain: EVMSmartWalletChain;
    showWalletModals?: boolean;
    appearance?: UIConfig;
}): react_jsx_runtime.JSX.Element;

export { CrossmintWalletProvider, type WalletConfig, WalletContext };
